Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network65.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
65.0.0.0
Broadcast address
65.255.255.255
First usable
65.0.0.1
Last usable
65.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 41000000 · Integer 1090519040 to 1107296255
Reverse DNS zone
65.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000001..00000000.00000000.0000000065.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01000001..00000000.00000000.0000000065.0.0.0
Broadcast01000001..11111111.11111111.1111111165.255.255.255
Split into smaller subnets/14

65.0.0.0/8 makes 64 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
165.0.0.0/1465.0.0.1 to 65.3.255.25465.3.255.255262,142
265.4.0.0/1465.4.0.1 to 65.7.255.25465.7.255.255262,142
365.8.0.0/1465.8.0.1 to 65.11.255.25465.11.255.255262,142
465.12.0.0/1465.12.0.1 to 65.15.255.25465.15.255.255262,142
565.16.0.0/1465.16.0.1 to 65.19.255.25465.19.255.255262,142
665.20.0.0/1465.20.0.1 to 65.23.255.25465.23.255.255262,142
765.24.0.0/1465.24.0.1 to 65.27.255.25465.27.255.255262,142
865.28.0.0/1465.28.0.1 to 65.31.255.25465.31.255.255262,142
965.32.0.0/1465.32.0.1 to 65.35.255.25465.35.255.255262,142
1065.36.0.0/1465.36.0.1 to 65.39.255.25465.39.255.255262,142
1165.40.0.0/1465.40.0.1 to 65.43.255.25465.43.255.255262,142
1265.44.0.0/1465.44.0.1 to 65.47.255.25465.47.255.255262,142
1365.48.0.0/1465.48.0.1 to 65.51.255.25465.51.255.255262,142
1465.52.0.0/1465.52.0.1 to 65.55.255.25465.55.255.255262,142
1565.56.0.0/1465.56.0.1 to 65.59.255.25465.59.255.255262,142
1665.60.0.0/1465.60.0.1 to 65.63.255.25465.63.255.255262,142
1765.64.0.0/1465.64.0.1 to 65.67.255.25465.67.255.255262,142
1865.68.0.0/1465.68.0.1 to 65.71.255.25465.71.255.255262,142
1965.72.0.0/1465.72.0.1 to 65.75.255.25465.75.255.255262,142
2065.76.0.0/1465.76.0.1 to 65.79.255.25465.79.255.255262,142
2165.80.0.0/1465.80.0.1 to 65.83.255.25465.83.255.255262,142
2265.84.0.0/1465.84.0.1 to 65.87.255.25465.87.255.255262,142
2365.88.0.0/1465.88.0.1 to 65.91.255.25465.91.255.255262,142
2465.92.0.0/1465.92.0.1 to 65.95.255.25465.95.255.255262,142
2565.96.0.0/1465.96.0.1 to 65.99.255.25465.99.255.255262,142
2665.100.0.0/1465.100.0.1 to 65.103.255.25465.103.255.255262,142
2765.104.0.0/1465.104.0.1 to 65.107.255.25465.107.255.255262,142
2865.108.0.0/1465.108.0.1 to 65.111.255.25465.111.255.255262,142
2965.112.0.0/1465.112.0.1 to 65.115.255.25465.115.255.255262,142
3065.116.0.0/1465.116.0.1 to 65.119.255.25465.119.255.255262,142
3165.120.0.0/1465.120.0.1 to 65.123.255.25465.123.255.255262,142
3265.124.0.0/1465.124.0.1 to 65.127.255.25465.127.255.255262,142
3365.128.0.0/1465.128.0.1 to 65.131.255.25465.131.255.255262,142
3465.132.0.0/1465.132.0.1 to 65.135.255.25465.135.255.255262,142
3565.136.0.0/1465.136.0.1 to 65.139.255.25465.139.255.255262,142
3665.140.0.0/1465.140.0.1 to 65.143.255.25465.143.255.255262,142
3765.144.0.0/1465.144.0.1 to 65.147.255.25465.147.255.255262,142
3865.148.0.0/1465.148.0.1 to 65.151.255.25465.151.255.255262,142
3965.152.0.0/1465.152.0.1 to 65.155.255.25465.155.255.255262,142
4065.156.0.0/1465.156.0.1 to 65.159.255.25465.159.255.255262,142
4165.160.0.0/1465.160.0.1 to 65.163.255.25465.163.255.255262,142
4265.164.0.0/1465.164.0.1 to 65.167.255.25465.167.255.255262,142
4365.168.0.0/1465.168.0.1 to 65.171.255.25465.171.255.255262,142
4465.172.0.0/1465.172.0.1 to 65.175.255.25465.175.255.255262,142
4565.176.0.0/1465.176.0.1 to 65.179.255.25465.179.255.255262,142
4665.180.0.0/1465.180.0.1 to 65.183.255.25465.183.255.255262,142
4765.184.0.0/1465.184.0.1 to 65.187.255.25465.187.255.255262,142
4865.188.0.0/1465.188.0.1 to 65.191.255.25465.191.255.255262,142
4965.192.0.0/1465.192.0.1 to 65.195.255.25465.195.255.255262,142
5065.196.0.0/1465.196.0.1 to 65.199.255.25465.199.255.255262,142
5165.200.0.0/1465.200.0.1 to 65.203.255.25465.203.255.255262,142
5265.204.0.0/1465.204.0.1 to 65.207.255.25465.207.255.255262,142
5365.208.0.0/1465.208.0.1 to 65.211.255.25465.211.255.255262,142
5465.212.0.0/1465.212.0.1 to 65.215.255.25465.215.255.255262,142
5565.216.0.0/1465.216.0.1 to 65.219.255.25465.219.255.255262,142
5665.220.0.0/1465.220.0.1 to 65.223.255.25465.223.255.255262,142
5765.224.0.0/1465.224.0.1 to 65.227.255.25465.227.255.255262,142
5865.228.0.0/1465.228.0.1 to 65.231.255.25465.231.255.255262,142
5965.232.0.0/1465.232.0.1 to 65.235.255.25465.235.255.255262,142
6065.236.0.0/1465.236.0.1 to 65.239.255.25465.239.255.255262,142
6165.240.0.0/1465.240.0.1 to 65.243.255.25465.243.255.255262,142
6265.244.0.0/1465.244.0.1 to 65.247.255.25465.247.255.255262,142
6365.248.0.0/1465.248.0.1 to 65.251.255.25465.251.255.255262,142
6465.252.0.0/1465.252.0.1 to 65.255.255.25465.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses